Passer au contenu principal
PUT
/
feature-flags
/
v3
/
{appId}
/
flags
/
{flagName}
Set an app's feature flag
curl --request PUT \
  --url https://api.hubapi.com/feature-flags/v3/{appId}/flags/{flagName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "appId": 123,
  "flagName": "<string>"
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de chemin

appId
integer<int32>
requis
flagName
string
requis

Corps

application/json
defaultState
enum<string>
requis

The state that the flag should have if there are no overrides for a particular portal

Options disponibles:
ABSENT,
OFF,
ON
overrideState
enum<string>

A flag value that supercedes all other overrides, including portal-level values. Mostly used for things like emergency overrides

Options disponibles:
ABSENT,
OFF,
ON

Réponse

successful operation

appId
integer<int32>
requis

The ID of the app

defaultState
enum<string>
requis

The flag state for any portal that doesn't have an override value

Options disponibles:
ABSENT,
OFF,
ON
flagName
string
requis

The name of the flag

overrideState
enum<string>

An optional flag value that overrides all others for this flag name and app, including portal-level values

Options disponibles:
ABSENT,
OFF,
ON
Last modified on June 5, 2026